Get Address Info
curl --request GET \
--url https://data-api.b3.fun/blockscout/addresses/{address_hash}import requests
url = "https://data-api.b3.fun/blockscout/addresses/{address_hash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-api.b3.fun/blockscout/addresses/{address_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
"creator_address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
"creation_transaction_hash": "0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924",
"token": {
"circulating_market_cap": "83606435600.3635",
"icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
"name": "Tether USD",
"decimals": "6",
"symbol": "USDT",
"address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
"type": "ERC-20",
"holders": "837494234523",
"exchange_rate": "0.99",
"total_supply": "10000000"
},
"coin_balance": "10000000",
"exchange_rate": "1.01",
"implementation_address": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
"block_number_balance_updated_at": 27656552,
"implementation_name": "implementationName",
"name": "contractName",
"is_contract": true,
"private_tags": [
{
"address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
"display_name": "name to show",
"label": "label"
}
],
"watchlist_names": [
{
"display_name": "name to show",
"label": "label"
}
],
"public_tags": [
{
"address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
"display_name": "name to show",
"label": "label"
}
],
"is_verified": true,
"has_beacon_chain_withdrawals": true,
"has_logs": true,
"has_token_transfers": true,
"has_tokens": true,
"has_validated_blocks": true
}blockscout
Get Address Info
GET
/
blockscout
/
addresses
/
{address_hash}
Get Address Info
Path Parameters
Address hash
Pattern:
^0x([A-Fa-f0-9]{40})$Response
Address
Example:
"0xEb533ee5687044E622C69c58B1B12329F56eD9ad"
Example:
"0xEb533ee5687044E622C69c58B1B12329F56eD9ad"
Example:
"0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924"
Show child attributes
Show child attributes
Example:
"10000000"
Example:
"1.01"
Example:
"0xEb533ee5687044E622C69c58B1B12329F56eD9ad"
Example:
27656552
Example:
"implementationName"
Example:
"contractName"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
HypeDuel